<template>
  <basic-container>
    <avue-crud
      :addBtn="false"
      :option="option"
      :table-loading="loading"
      :data="data"
      ref="crud"
      v-model:search="search"
      v-model:page="mypage"
      @current-change="currentChange"
      @size-change="sizeChange"
      @refresh-change="refreshChange"
      @on-load="onLoad"
      @tree-load="treeLoad"
      @row-save="rowSave"
      @row-update="rowUpdate"
      @row-del="rowDel"
    >
      <template #menu="{row, size}">
        <el-button :size="size"
                  text
                  type="primary"
                  @click="handleAdd(row)">新增子级</el-button>
      </template>
    </avue-crud>
  </basic-container>
</template>

<script>
export default {
  data() {
    return {
      id: "",
      parentId:1,
      search: {
        keyword: "",
        machineGroupCode: ""
      },
      loading: true,
      mypage: {
        size: 10,
        current: 1,
        total: 0,
      },
      option: {
        lazy: true,
        rowKey: 'id',
        // addBtn: false,
        // editBtn: false,
        // delBtn: false,
        // labelWidth: 120,
        // emptyBtn: false,
        // searchSpan: 8,
        fit: true,
        column: [
          {
            label: '目录',
            prop: 'name',
            width: '200',
            display: false
          },
          {
            label: '版本',
            prop: '',
            display: false
          },
          {
            label: '版次',
            prop: '',
            display: false
          },
          {
            label: '描述',
            prop: '',
            display: false
          },
          {
            label: '类型',
            prop: 'nodeType',
            display: false
          },
          {
            label: '设备',
            prop: '',
            display: false
          },
          {
            label: '固化状态',
            prop: 'status',
            display: false
          },
          {
            label: '锁定状态',
            prop: 'status',
            display: false
          },
          {
            label: '流程状态',
            prop: 'status',
            display: false
          },
          {
            label: '测试程序',
            prop: '',
            display: false
          },
          {
            label: '创建人',
            prop: 'createUser',
            display: false
          },
          {
            label: '节点类型',
            prop: 'modalSelect',
            type: 'select',
            dicUrl: '/blade-system/dict-biz/dictionary?code=nc_node_type',
            props: {
              label: 'dictValue',
              value: 'dictKey',
            },
            hide: true
          },
          {
            label: '设备（机床）',
            prop: '',
            hide: true
          },
          {
            label: '节点名称',
            prop: 'name',
            hide: true
          },
          {
            label: '节点描述',
            prop: '',
            hide: true
          },
          {
            label: '全路径',
            prop: '',
            hide: true,
            span: 24
          },
          {
            label: '备注',
            prop: '',
            type: "textarea",
            hide: true,
            span: 24
          }
        ],
      },
      data: [],
    };
  },
  methods: {
    rowDel (row, index, done) {
      // alert(1);
      // done(row);
    },
    rowSave(row, done) {  //新增子节点
      console.log(row,123)
      // row.parentId = 1;
      // row.id = 9;
      // console.log(row,11)
      // done(row);
    },
    rowUpdate (row, index, done) {
      //alert(3);
      //done(row);
    },
    handleAdd (row) {  //新增子节点
      this.id = row.id;
      this.$refs.crud.rowAdd();
    },
    treeLoad (tree, treeNode, resolve) {
      // setTimeout(() => {
      //   this.parentId += 1;
      //   var hasChildren = true;
      //   if(this.parentId == 6) {
      //     this.$message.error("到头了");
      //     hasChildren = false;
      //   }
      //   resolve([{
      //     id: this.parentId,
      //     parentId: this.parentId,
      //     date: '2016-05-01',
      //     name: '王小虎',
      //     address: '新增',
      //     hasChildren: hasChildren
      //   }]);
      //   console.log(tree,111)
      // }, 100);
      this.loading = true;
      var obj = {parentId: tree.id}
      axios({
        url: '/blade-mdm/program/node/lazy-list',
        method: 'get',
        params: obj,
      }).then(
        res => {
          resolve(res.data.data);
          this.loading = false;
        }
      );
      // this.data =   [{
      //     id: this.parentId,
      //     parentId: this.parentId,
      //     date: '2016-05-02',
      //     name: '王小虎',
      //     address: 'hhh',
      //     hasChildren: true
      //   },
      //   {
      //     id: 7,
      //     parentId: 7,
      //     date: '2016-05-02',
      //     name: '王小虎',
      //     address: 'hhh',
      //     hasChildren: false
      //   }]
      //   this.loading = false;
    },
    handleEdit(row,index) {
      
    },
    currentChange(current) {
      this.mypage.current = current;
    },
    sizeChange(size) {
      this.mypage.size = size;
    },
    refreshChange() {
      
    },
    onLoad() {  //查询treeTable
      this.loading = true;
      var obj = {parentId: ""}
      axios({
        url: '/blade-mdm/program/node/lazy-list',
        method: 'get',
        params: obj,
      }).then(
        res => {
          this.data = res.data.data;
          this.loading = false;
        }
      );
      // this.data =   [{
      //     id: this.parentId,
      //     parentId: this.parentId,
      //     date: '2016-05-02',
      //     name: '王小虎',
      //     address: 'hhh',
      //     hasChildren: true
      //   },
      //   {
      //     id: 7,
      //     parentId: 7,
      //     date: '2016-05-02',
      //     name: '王小虎',
      //     address: 'hhh',
      //     hasChildren: false
      //   }]
      //   this.loading = false;
    }
  },
};
</script>

<style lang="scss">
.el-form-item__label {
  width: 120px!important;
}
</style>